<div class="float-left col-lg-12 col-md-12 col-sm-12 col-12 p-0 bg-light" style="height: auto;" >

    <!-- LIST COMMESSA -->
    <div class="brl w-100 p-2 card bg-light text_darkmode">
        <div class="brl w-100 top">
            <div class="brl tab_content ">

                <form (submit)="$event.preventDefault()">
                    <mat-form-field appearance="fill">
                        <mat-label>Cerca</mat-label>
                        <input  
                                matInput type="text"
                                name="searchText"
                                class="fs15"
                                (keyup)="filterResults()"
                                #searchText="ngModel" 
                                [(ngModel)]="search"
                        >
                    </mat-form-field>
                </form>
            </div>
            
            <div class="brr">
                <div class="brl action_container p-1" style="flex:1;" (click)="openWizard()">
                    <button class="mr-2 btn btn-md action fs16 btn-primary" >
                        <div class="text fs16">Aggiungi nuovo task</div>
                    </button>
                </div>
            </div>
        </div>
        <div *ngIf="data else loading">
            <task-list 
                *ngIf="data" 
                [data]="data" 
                [filter]="search"
                (result)="getDetails($event)"
                >
            </task-list>
        </div>

        <ng-template #loading>
            <div class="empty bg-light text_darkmode">
                <div class="text fs18">
                    Download Tasks
                </div>
                <div class="nj-spinner nj-spinner--sm ml-1" role="status"></div>

            </div>
        </ng-template>
    </div>

</div>